<ul class="sidebar-menu">
  <li class="treeview">
    <a href="#">
      <i class="fa fa-flask"></i>
      <span>BUSQUEDA DE RUTAS</span>
      <i class="fa fa-angle-left pull-right"></i>
    </a>
    <ul class="treeview-menu">

      <li>
        <a [routerLink]="['mapa']" (click)="enviar(text.id)" #text data-toggle="modal" data-target="#modal1" style="cursor: pointer;" tabindex="-1" href="#"
          id="menu-pais">
          <i class="fa fa-circle-o"></i>Por destino</a>
      </li>
      
      <li>
        <a [routerLink]="['mapa']" (click)="enviar(text1.id)" #text1 data-toggle="modal" data-target="#modal1" style="cursor: pointer;" tabindex="-1" href="#"
          id="menu-tipo">
          <i class="fa fa-circle-o"></i>Por conductor</a>
      </li>
      <li>
        <a [routerLink]="['mapa']" (click)="enviar(text2.id)" #text2 data-toggle="modal" data-target="#modal1" style="cursor: pointer;" tabindex="-1" href="#"
          id="menu-academia">
          <i class="fa fa-circle-o"></i>Por hora</a>
      </li>
     
      
    </ul>
  </li>
</ul>